<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\ReferralCode>
 */
class ReferralCodeFactory extends Factory
{
    public function definition(): array
    {
        return [
            'code' => $this->faker->unique()->randomNumber(6),
        ];
    }
}
